## stargus 2.2.5.5

=== Makefile ===
#
#    Makefile
#    Copyright (C) 2010  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

STRIP := strip
UPX := upx
WINDRES := windres
NSIS := makensis

CFLAGS := -O2 -W -Wall -fsigned-char
CXXFLAGS := $(CFLAGS)
LDFLAGS :=
GTKFLAGS := $(shell pkg-config --cflags --libs gtk+-2.0)
UPXFLAGS := -9
NSISFLAGS :=

ARCH32 = -m32

all: startool stargus scmconvert

win32: startool.exe stargus.exe scmconvert.exe

clean:
	$(RM) startool startool.exe startool.o stargus stargus.exe starextract stargus.rc.o stargus.o mpq.o scm.o scm-s.o scmconvert scmconvert.exe

startool.o: startool.cpp
	$(CXX) -c $^ $(CXXFLAGS) $(ARCH32) -o $@

mpq.o: mpq.cpp
	$(CXX) -c $^ $(CXXFLAGS) $(ARCH32) -o $@

scm.o: scm.cpp
	$(CXX) -c $^ $(CXXFLAGS) $(ARCH32) -o $@

startool startool.exe: startool.o mpq.o scm.o
	$(CXX) $^ $(LDFLAGS) -lz -lpng $(ARCH32) -o $@

scm-s.o: scm.cpp
	$(CXX) -c $^ $(CXXFLAGS) $(ARCH32) -DSTAND_ALONE -o $@

scmconvert scmconvert.exe: mpq.o scm-s.o
	$(CXX) $^ $(LDFLAGS) $(ARCH32) -o $@

stargus: stargus.c
	$(CC) $^ $(GTKFLAGS) $(LDFLAGS) -o $@

%.rc.o: %.rc
	$(WINDRES) $^ -O coff -o $@

stargus.exe: stargus.o stargus.rc.o
	$(CC) $^ $(LDFLAGS) -mwindows -o $@

starextract: starextract.c
	$(CC) $^ $(CFLAGS) $(GTKFLAGS) $(LDFLAGS) -o $@

strip: startool stargus scmconvert
	$(STRIP) $^

win32-strip: startool.exe stargus.exe scmconvert.exe
	$(STRIP) $^

pack: startool stargus scmconvert
	$(UPX) $(UPXFLAGS) $^

win32-pack: startool.exe stargus.exe scmconvert.exe
	$(UPX) $(UPXFLAGS) $^

win32-installer: startool.exe stargus.exe scmconvert.exe stargus.nsi
	$(NSIS) $(NSISFLAGS) stargus.nsi

## stargus 2.2.6

=== CMakeLists.txt ===
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    CMakeLists.txt
#    Copyright (C) 2011-2012  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

project(stargus)
cmake_minimum_required(VERSION 2.6)
set(STARGUS_VERSION 2.2.6)

# Stargus sources

set(scmconvert_SRCS
	mpq.cpp
	scm.cpp
	huff.cpp
)

set(scmconvert_HDRS
	mpq.h
	huff.h
)

set(startool_SRCS
	startool.cpp
	mpq.cpp
	scm.cpp
	huff.cpp
)

set(startool_HDRS
	mpq.h
	huff.h
)

set(stargus_SRCS
	stargus.c
)

if(WIN32)
	set(stargus_SRCS
		${stargus_SRCS}
		stargus.rc
	)
endif()

set(starextract_SRCS
	starextract.c
)

# Additional platform checks

find_package(PkgConfig QUIET REQUIRED)

# Check if platform is Maemo
if(UNIX AND CMAKE_SYSTEM_NAME MATCHES Linux)
	pkg_check_modules(MAEMO_VERSION maemo-version)
	if(MAEMO_VERSION_FOUND)
		set(MAEMO true)
	endif()
endif()

# Find all libraries

option(ENABLE_STATIC "Compile Stargus binaries as static executable" OFF)

if(ENABLE_STATIC)
	set(CMAKE_FIND_LIBRARY_SUFFIXES ".lib;.a")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Stratagus REQUIRED)
find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

if(WIN32)
	find_package(MakeNSIS)
endif()

if(NOT WIN32)
	find_package(X11 REQUIRED)
	find_package(GTK2 REQUIRED gtk)
endif()

if(MAEMO)
	pkg_check_modules(HILDON REQUIRED hildon-1)
endif()

find_package(SelfPackers)

# Windows RC compiler definitions

if(WIN32)
	enable_language(RC)
	include(CMakeDetermineRCCompiler)

	if(MINGW)
		set(CMAKE_RC_COMPILER_INIT windres)
		set(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
	endif()
endif()

# Options for compiling

if(WIN32)
	option(ENABLE_NSIS "Create Stratagus Window NSIS Installer" OFF)
endif()

option(ENABLE_UPX "Compress Stratagus executable binary with UPX packer" OFF)
option(ENABLE_STRIP "Strip all symbols from executables" OFF)

# Stargus definitions

add_definitions(${PNG_DEFINITIONS})
include_directories(${PNG_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS} ${STRATAGUS_INCLUDE_DIR})
set(scmconvert_LIBS ${scmconvert_LIBS} ${ZLIB_LIBRARIES})
set(startool_LIBS ${scmconvert_LIBS} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES})

# Platform definitions

if(NOT WIN32)
	include_directories(${X11_INCLUDE_DIR} ${GTK2_INCLUDE_DIRS})
	set(stargus_LIBS ${stargus_LIBS} ${X11_X11_LIB} ${GTK2_LIBRARIES})
endif()

if (NOT WIN32 AND NOT MAEMO)
	add_definitions(-DDATA_PATH="${CMAKE_INSTALL_PREFIX}/share/games/stratagus/stargus")
	add_definitions(-DSCRIPTS_PATH="${CMAKE_INSTALL_PREFIX}/share/games/stratagus/stargus")
	add_definitions(-DSTRATAGUS_BIN="${STRATAGUS}")
endif()

if(MAEMO)
	add_definitions(-DDATA_PATH="/home/user/MyDocs/stratagus/stargus")
	add_definitions(-DSCRIPTS_PATH="/opt/stratagus/share/stargus")
	add_definitions(-DSTRATAGUS_BIN="/opt/stratagus/bin/stratagus")
	add_definitions(${HILDON_CFLAGS})
	include_directories(${HILDON_INCLUDE_DIRS})
	set(stargus_LIBS ${stargus_LIBS} ${HILDON_LIBRARIES})
	set(starextract_LIBS ${starextract_LIBS} ${GTK2_LIBRARIES} ${HILDON_LIBRARIES})
endif()

if(ENABLE_STRIP)
	set(CMAKE_EXE_LINKER_FLAGS "-s")
else()
	set(CMAKE_EXE_LINKER_FLAGS "")
endif()

# Compile Stargus

add_executable(scmconvert ${scmconvert_SRCS} ${scmconvert_HDRS})
target_link_libraries(scmconvert ${scmconvert_LIBS})
set_target_properties(scmconvert PROPERTIES COMPILE_DEFINITIONS "STAND_ALONE")

if(MAEMO)
	add_executable(starextract ${starextract_SRCS} ${starextract_HDRS})
	target_link_libraries(starextract ${starextract_LIBS})
endif()

add_executable(stargus WIN32 ${stargus_SRCS} ${stargus_HDRS})
target_link_libraries(stargus ${stargus_LIBS})

add_executable(startool ${startool_SRCS} ${startool_HDRS})
target_link_libraries(startool ${startool_LIBS})

if(WIN32 AND MINGW AND ENABLE_STATIC)
	set_target_properties(scmconvert PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
	set_target_properties(stargus PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
	set_target_properties(startool PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
endif()

########### next target ###############

macro(self_packer PACKER_TARGET)
	get_target_property(PACKER_NAME ${PACKER_TARGET} OUTPUT_NAME)
	if(NOT PACKER_NAME)
		set(PACKER_NAME ${PACKER_TARGET})
	endif()
	add_custom_command(TARGET ${PACKER_TARGET} POST_BUILD
		COMMAND ${SELF_PACKER_FOR_EXECUTABLE}
		ARGS ${SELF_PACKER_FOR_EXECUTABLE_FLAGS} ${PACKER_NAME}${CMAKE_EXECUTABLE_SUFFIX}
	)
endmacro()

if(ENABLE_UPX AND SELF_PACKER_FOR_EXECUTABLE)
	self_packer(scmconvert)
	self_packer(stargus)
	self_packer(startool)
endif()

########### next target ###############

if(WIN32 AND ENABLE_NSIS AND MAKENSIS_FOUND)
	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/COPYING DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
	file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/stargus.ico DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
	add_custom_command(OUTPUT Stargus-${STARGUS_VERSION}${MAKENSIS_SUFFIX}
		COMMAND ${MAKENSIS}
		ARGS ${MAKENSIS_FLAGS} -DCMAKE_CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_CURRENT_BINARY_DIR="${CMAKE_CURRENT_BINARY_DIR}" ${CMAKE_CURRENT_SOURCE_DIR}/stargus.nsi
		DEPENDS stargus.nsi scmconvert stargus startool COPYING stargus.ico
		COMMENT "Generating Stargus Windows NSIS Installer" VERBATIM
	)
	add_custom_target(nsis ALL DEPENDS Stargus-${STARGUS_VERSION}${MAKENSIS_SUFFIX})
endif()

########### install files ###############

install(TARGETS stargus DESTINATION games)
install(TARGETS scmconvert startool DESTINATION bin)
install(FILES stargus.png DESTINATION share/pixmaps)
install(FILES stargus.desktop DESTINATION share/applications)

install(DIRECTORY scripts DESTINATION share/games/stratagus/stargus)
install(FILES mpqlist.txt DESTINATION share/games/stratagus/stargus)
install(FILES fog.png DESTINATION share/games/stratagus/stargus/graphics/tilesets)

if(MAEMO)
	install(TARGETS starextract DESTINATION bin)
endif()

=== debian/changelog ===
stargus (2.2.6-1maemo2~fremantle) fremantle; urgency=low

  * Fixed bug #768325 - NSIS: run startool with correct datadir path
  * Fixed bug #909435 - Rewritten build system to CMake
  * Fixed bug #910269 - Fixed compilation on OpenBSD 5.0
  * Fixed bug #914555 - Fixed MPQ code
  * Rewritten code for supporting 64bit architectures too
  * Use Huffmann decoding from StormLib library
  * Rewritten debian files to debhelper 7

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 25 Feb 2012 13:35:25 +0100

stargus (2.2.5.5-1) unstable; urgency=low

  * Fixed for new Stratagus
  * Compile startool always 32bit
  * Added icon
  * Rewrited debian scripts
  * Rewrited Makefile
  * Added launcher starcraft.c
  * Rewrited Windows NSIS Installer
  * Fixed Windows resource file
  * Added more resolutions and OpenGL settings in option menu
  * Ported to Maemo

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 22 Nov 2010 23:16:16 +0100

stargus (2.1pre2) unstable; urgency=low

  * Upstream release

 -- M. Gerhardy <tlh2000@users.sf.net>  Sat, 23 May 2009 10:51:08 +0200

=== debian/control ===
Source: stargus
Section: games
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), pkg-config, imagemagick,
 po-debconf, sharutils, zlib1g-dev, libbz2-dev, libx11-dev,
 libpng12-dev (>= 1.2.5), libhildon1-dev | libgtk2.0-dev, stratagus-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/stargus
Vcs-Browser: https://code.launchpad.net/stargus
Vcs-Bzr: lp:stargus

Package: stargus
Architecture: any
Depends: ${stratagus:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: stratagus-data
Description: Starcraft data game set for the Stratagus engine
 Stargus can be used to play Starcraft from Blizzard Entertainment.
 .
 You need the original Starcraft CD to extract the game data files.
 .
 Stargus is developed together for Windows, Linux and Linux Maemo based
 devices (Nokia N900).

=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2012  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

VERSION := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p" | sed "s/-[^-]*$$//" )
MAEMO := $(shell if pkg-config maemo-version 1>/dev/null 2>&1 || test -f "/etc/maemo_version" || osso-product-info -q OSSO_PRODUCT_INFO_RELEASE_NAME 2>/dev/null | grep -q -i maemo; then echo YES; fi)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INCLUDE_PATH="/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/"

override_dh_install:
	dh_install
	convert stargus.png -resize 32x32 debian/stargus/usr/share/pixmaps/stargus.xpm

override_dh_shlibdeps:
	dh_shlibdeps
	echo "stratagus:Depends=stratagus (>= $(VERSION))" >> debian/stargus.substvars

ifdef MAEMO

override_dh_fixperms:
	mkdir -p debian/stargus/usr/share/applications/hildon
	mkdir -p debian/stargus/opt/stratagus/bin
	mkdir -p debian/stargus/opt/stratagus/share/doc
	mkdir -p debian/stargus/opt/man/man6
	mv debian/stargus/usr/share/applications/stargus.desktop debian/stargus/usr/share/applications/hildon/stargus.desktop
	mv debian/stargus/usr/bin/* debian/stargus/opt/stratagus/bin/
	mv debian/stargus/usr/games/* debian/stargus/opt/stratagus/bin/
	mv debian/stargus/usr/share/doc/stargus debian/stargus/opt/stratagus/share/doc/
	mv debian/stargus/usr/share/games/stratagus/stargus debian/stargus/opt/stratagus/share/
	mv debian/stargus/usr/share/man/man6/* debian/stargus/opt/man/man6/
	ln -s /opt/stratagus/bin/starextract debian/stargus/usr/bin/starextract
	ln -s /opt/stratagus/bin/stargus debian/stargus/usr/games/stargus
	ln -s /opt/stratagus/bin/starool debian/stargus/usr/bin/startool
	ln -s /opt/stratagus/bin/scmconvert debian/stargus/usr/bin/scmconvert
	ln -s /opt/stratagus/share/stargus debian/stargus/usr/share/games/stratagus/stargus
	ln -s /opt/stratagus/share/doc/stargus debian/stargus/usr/share/doc/stargus
	ln -s /opt/man/man6/stargus.6.gz debian/stargus/usr/share/man/man6/stargus.6.gz
	ln -s /opt/man/man6/startool.6.gz debian/stargus/usr/share/man/man6/starool.6.gz
	ln -s /opt/man/man6/scmconvert.6.gz debian/stargus/usr/share/man/man6/scmconvert.6.gz
	echo "X-Osso-Type=application/x-executable" >> debian/stargus/usr/share/applications/hildon/stargus.desktop
	sed "s/Exec=.*/Exec=\/opt\/stratagus\/bin\/stargus/" -i debian/stargus/usr/share/applications/hildon/stargus.desktop
	sed "s/Name=.*/Name=Stargus/" -i debian/stargus/usr/share/applications/hildon/stargus.desktop
	dh_fixperms

override_dh_gencontrol:
	dh_gencontrol
	cp debian/stargus/DEBIAN/control debian/stargus/DEBIAN/control.orig
	sed -n -e "1,/^Depends:.*$$/p" -i debian/stargus/DEBIAN/control
	echo "Bugtracker: https://bugs.launchpad.net/stargus" >> debian/stargus/DEBIAN/control
	echo "Maemo-Display-Name: Stargus - Starcraft" >> debian/stargus/DEBIAN/control
	echo "Maemo-Icon-26:" >> debian/stargus/DEBIAN/control
	for line in $(shell convert stargus.png -resize 48x48 png:- | uuencode -m - | tail -n +2 | head -n -1); do \
		echo " $$line" >> debian/stargus/DEBIAN/control; \
	done
	sed "/^# Source debconf library$$/d;/^. \/usr\/share\/debconf\/confmodule$$/d" -i debian/stargus/DEBIAN/postinst
	bash -c 'sed -n -e "1,/^extract() {$$/p;/^}$$/,\$$p;/extract()/a\\`echo -e "\n\t"`cd /opt/stratagus/share/stargus\\`echo -e "\n\t"`run-standalone.sh /opt/stratagus/bin/starextract\\`echo -e "\n\t"`return $$\?" -i debian/stargus/DEBIAN/postinst'
	sed -n -e "/^Depends:.*$$/,\$$p" debian/stargus/DEBIAN/control.orig | tail -n +2 >> debian/stargus/DEBIAN/control
	sed "s/Section: .*/Section: user\/games/" -i debian/stargus/DEBIAN/control
	rm -f debian/stargus/DEBIAN/config debian/stargus/DEBIAN/templates debian/stargus/DEBIAN/control.orig

override_dh_installdebconf:

endif

## stargus 2.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 project(stargus)
 cmake_minimum_required(VERSION 2.6)
-set(STARGUS_VERSION 2.2.6)
+set(STARGUS_VERSION 2.2.7)
 
 # Stargus sources
 
@@ -56,7 +56,7 @@
 )
 
 set(stargus_SRCS
-	stargus.c
+	stargus.cpp
 )
 
 if(WIN32)
@@ -186,9 +186,9 @@
 target_link_libraries(startool ${startool_LIBS})
 
 if(WIN32 AND MINGW AND ENABLE_STATIC)
-	set_target_properties(scmconvert PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
-	set_target_properties(stargus PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
-	set_target_properties(startool PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc")
+	set_target_properties(scmconvert PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
+	set_target_properties(stargus PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
+	set_target_properties(startool PROPERTIES LINK_FLAGS "${LINK_FLAGS} -static-libgcc -static-libstdc++")
 endif()
 
 ########### next target ###############

=== debian/changelog ===
stargus (2.2.7-1maemo1~fremantle) fremantle; urgency=low

  * Fixed bug #950442 - Fix script when map is loaded
  * Fixed bug #931215 - Do not extract file which missing on french CD

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 21 Aug 2012 16:33:12 +0200

stargus (2.2.6-1) unstable; urgency=low

  * Fixed bug #768325 - NSIS: run startool with correct datadir path
  * Fixed bug #909435 - Rewritten build system to CMake
  * Fixed bug #910269 - Fixed compilation on OpenBSD 5.0
  * Fixed bug #914555 - Fixed MPQ code
  * Rewritten code for supporting 64bit architectures too
  * Use Huffmann decoding from StormLib library
  * Rewritten debian files to debhelper 7

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 25 Feb 2012 13:35:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -59,12 +59,12 @@
 	mv debian/stargus/usr/share/man/man6/* debian/stargus/opt/man/man6/
 	ln -s /opt/stratagus/bin/starextract debian/stargus/usr/bin/starextract
 	ln -s /opt/stratagus/bin/stargus debian/stargus/usr/games/stargus
-	ln -s /opt/stratagus/bin/starool debian/stargus/usr/bin/startool
+	ln -s /opt/stratagus/bin/startool debian/stargus/usr/bin/startool
 	ln -s /opt/stratagus/bin/scmconvert debian/stargus/usr/bin/scmconvert
 	ln -s /opt/stratagus/share/stargus debian/stargus/usr/share/games/stratagus/stargus
 	ln -s /opt/stratagus/share/doc/stargus debian/stargus/usr/share/doc/stargus
 	ln -s /opt/man/man6/stargus.6.gz debian/stargus/usr/share/man/man6/stargus.6.gz
-	ln -s /opt/man/man6/startool.6.gz debian/stargus/usr/share/man/man6/starool.6.gz
+	ln -s /opt/man/man6/startool.6.gz debian/stargus/usr/share/man/man6/startool.6.gz
 	ln -s /opt/man/man6/scmconvert.6.gz debian/stargus/usr/share/man/man6/scmconvert.6.gz
 	echo "X-Osso-Type=application/x-executable" >> debian/stargus/usr/share/applications/hildon/stargus.desktop
 	sed "s/Exec=.*/Exec=\/opt\/stratagus\/bin\/stargus/" -i debian/stargus/usr/share/applications/hildon/stargus.desktop
